%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define tracplugin   detailedrssfeedplugin

Name:		trac-detailedrssfeed-plugin
Version:	1.0.1
Release:	1%{?dist}
Summary:	A plugin that creates a feed of all changes to all of a report's tickets

Group:		Applications/Internet
License:	BSD
URL:		http://trac-hacks.org/wiki/DetailedRssFeedPlugin
Source:		detailedrssfeedplugin.zip
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-setuptools

Requires:	trac

%description
Currently, Trac has three kinds of feeds:
   1. Timeline feed, which shows every change to every ticket
   2. Ticket feed (on individual ticket pages), which shows every change to
      one ticket
   3. Report feed (on ticket report pages), which only shows when a new ticket
      shows up on the report, or the status of an existing ticket changes.
This plugin adds a feed that shows every change to every ticket in a report.


%prep
%setup -n %{tracplugin} -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc license.txt
# For noarch packages: sitelib
%{python_sitelib}/*


%changelog
* Thu Aug 14 2008 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.0.1-1
- New upstream release.
- Dropped both patches (upstream).

* Tue Aug 12 2008 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.0-5
- New mime type patch.

* Tue Aug 12 2008 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.0-4
- XML version again (detailedrssfeedplugin-xmlversion.patch).

* Tue Aug 12 2008 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.0-3
- Mime type again (detailedrssfeedplugin-mime.patch).

* Tue Aug 12 2008 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.0-2
- New upstream version.
- Drop patch.

* Tue Aug 12 2008 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.0-1
- Patch the mime type and the template xml version inorder to keep Firefox happy
  (detailedrssfeedplugin-mimetype.patch).

* Fri Aug  8 2008 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.0-0
- New package
